Skip to main content
GET
/
v1
/
authorization
/
roles
/
{roleId}
/
users
Get Role Users
curl --request GET \
  --url https://app.untetherlabs.com/api/v1/authorization/roles/{roleId}/users \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "roleId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "roleName": "<string>",
    "roleDescription": "<string>",
    "createdAt": "2024-11-20T07:43:34+0000",
    "userName": "<string>",
    "userEmail": "<string>",
    "userStatus": "<string>",
    "userIsAdmin": true
  }
]
This is a beta endpoint. Breaking changes may occur without notice, use at your own risk.
Get all users assigned to a role

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

roleId
string<uuid>
required

Response

id
string<uuid>
required
userId
string<uuid>
required
roleId
string<uuid>
required
roleName
string | null
required
roleDescription
string | null
required
createdAt
string
required
Example:

"2024-11-20T07:43:34+0000"

userName
string
required
userEmail
string
required
userStatus
string
required
userIsAdmin
boolean
required